Bug 2021897 - python-pycha fails to build with Python 3.11: AttributeError: module 'inspect' has no attribute 'getargspec'
Summary: python-pycha fails to build with Python 3.11: AttributeError: module 'inspec...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pycha
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Abdel Gadiel Martínez Lassonde
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2099062 (view as bug list)
Depends On:
Blocks: PYTHON3.11 F37FTBFS F37FailsToInstall F38FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-11-10 12:06 UTC by Tomáš Hrnčiar
Modified: 2022-08-17 11:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-17 11:53:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-11-10 12:06:39 UTC
python-pycha fails to build with Python 3.11.0a2.

======================================================================
ERROR: test_colorscheme (tests.chart.ChartTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/pycha-0.7.0/tests/chart.py", line 140, in test_colorscheme
    ch._setColorscheme()
    ^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/pycha-0.7.0/pycha/chart.py", line 142, in _setColorscheme
    validArgs = inspect.getargspec(colorSchemeClass.__init__)[0]
                ^^^^^^^^^^^^^^^^^^
AttributeError: module 'inspect' has no attribute 'getargspec'

======================================================================
ERROR: test_updateChart (tests.pie.PieTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/pycha-0.7.0/tests/pie.py", line 86, in test_updateChart
    ch.render()
    ^^^^^^^^^^^
  File "/builddir/build/BUILD/pycha-0.7.0/pycha/chart.py", line 103, in render
    self._update(options)
    ^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/pycha-0.7.0/pycha/chart.py", line 156, in _update
    self._setColorscheme()
    ^^^^^^^^^^^^^^^^^^^^^^
  File "/builddir/build/BUILD/pycha-0.7.0/pycha/chart.py", line 142, in _setColorscheme
    validArgs = inspect.getargspec(colorSchemeClass.__init__)[0]
                ^^^^^^^^^^^^^^^^^^
AttributeError: module 'inspect' has no attribute 'getargspec'

----------------------------------------------------------------------
Ran 59 tests in 0.024s

FAILED (errors=2)
Test failed: <unittest.runner.TextTestResult run=59 errors=2 failures=0>
error: Test failed: <unittest.runner.TextTestResult run=59 errors=2 failures=0>

Removed from the inspect module:
    the getargspec function, deprecated since Python 3.0; use
    inspect.signature() or inspect.getfullargspec() instead.

https://bugs.python.org/issue45320
https://docs.python.org/3.11/whatsnew/3.11.html


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.11/fedora-rawhide-x86_64/02939242-python-pycha/

For all our attempts to build python-pycha with Python 3.11, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.11/package/python-pycha/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.11:
https://copr.fedorainfracloud.org/coprs/g/python/python3.11/

Let us know here if you have any questions.

Python 3.11 is planned to be included in Fedora 37. To make that update smoother, we're building Fedora packages with all pre-releases of Python 3.11.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Ben Cotton 2022-02-08 21:30:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 2 Miro Hrončok 2022-06-20 10:19:21 UTC
*** Bug 2099062 has been marked as a duplicate of this bug. ***

Comment 3 Dan Horák 2022-06-21 10:10:43 UTC
Looks to me there are no packages dependent on "pycha", so we might let it go ...

Comment 4 Martin Pitt 2022-06-26 15:12:10 UTC
The recent update [1] seems to have broken python-dbusmock as well. It started to fail [2] with lots of messages like

  dbusmock/mockobject.py:47:7: E1101: Module 'os' has no 'path' member (no-member)
  dbusmock/mockobject.py:762:8: E1101: Module 'os' has no 'write' member (no-member)


These are bogus - of course the standard library `os` module knows about these.

Commenting here as it's likely the same root cause, but if you prefer I file a new bug.

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2022-d43c7130a4
[2] https://github.com/martinpitt/python-dbusmock/runs/7035892203?check_suite_focus=true

Comment 5 Miro Hrončok 2022-06-26 15:38:18 UTC
> Commenting here as it's likely the same root cause

Why do you seem so?

Comment 6 Martin Pitt 2022-06-26 17:29:44 UTC
Err, sorry -- I searched for "python-astroid" bugs, not sure how this appeared here. Sorry for the noise!

Comment 7 Miro Hrončok 2022-06-27 14:52:24 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 8 Miro Hrončok 2022-07-18 22:25:03 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 9 Miro Hrončok 2022-08-17 11:51:33 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 38.

Thanks for taking care of it!

Comment 10 Miro Hrončok 2022-08-17 11:53:21 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 37.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.